List project rate cards
curl --request GET \
--url https://www.ruddr.io/api/workspace/project-rate-cards \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/project-rate-cards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/project-rate-cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/project-rate-cards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/project-rate-cards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/project-rate-cards")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/project-rate-cards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "4f1c8e27-3d95-42ab-9b61-7c0e5a9d1382",
"notes": "Rates agreed for the 2026 statement of work.",
"start": "2026-01-01",
"end": null,
"isBudgetRateCard": false,
"createdAt": "2026-01-05T15:04:12.000Z",
"project": {
"id": "c4d5e6f7-8a9b-0c1d-2e3f-4a5b6c7d8e9f",
"name": "Website Redesign",
"client": {
"id": "1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
"name": "Acme Corporation"
}
},
"memberRates": [
{
"memberId": "b7c8d9e0-1f2a-3b4c-5d6e-7f8a9b0c1d2e",
"rate": 185,
"overrideCostRate": true,
"costCurrency": "USD",
"costPerHour": 85,
"overheadCostPerHour": 12.5
}
],
"roleRates": [
{
"projectRoleId": "9a1b2c3d-4e5f-6a7b-8c9d-0e1f2a3b4c5d",
"rate": 200
}
]
}
],
"hasMore": false
}{
"status": 400,
"message": "Parameter 'projectId' is not a valid UUID."
}{
"status": 403,
"message": "Feature 'Project Rate Cards' is not enabled."
}Project Rate Cards
List project rate cards
Requires the Project Rate Cards workspace feature.
GET
/
project-rate-cards
List project rate cards
curl --request GET \
--url https://www.ruddr.io/api/workspace/project-rate-cards \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/project-rate-cards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/project-rate-cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/project-rate-cards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/project-rate-cards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/project-rate-cards")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/project-rate-cards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "4f1c8e27-3d95-42ab-9b61-7c0e5a9d1382",
"notes": "Rates agreed for the 2026 statement of work.",
"start": "2026-01-01",
"end": null,
"isBudgetRateCard": false,
"createdAt": "2026-01-05T15:04:12.000Z",
"project": {
"id": "c4d5e6f7-8a9b-0c1d-2e3f-4a5b6c7d8e9f",
"name": "Website Redesign",
"client": {
"id": "1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
"name": "Acme Corporation"
}
},
"memberRates": [
{
"memberId": "b7c8d9e0-1f2a-3b4c-5d6e-7f8a9b0c1d2e",
"rate": 185,
"overrideCostRate": true,
"costCurrency": "USD",
"costPerHour": 85,
"overheadCostPerHour": 12.5
}
],
"roleRates": [
{
"projectRoleId": "9a1b2c3d-4e5f-6a7b-8c9d-0e1f2a3b4c5d",
"rate": 200
}
]
}
],
"hasMore": false
}{
"status": 400,
"message": "Parameter 'projectId' is not a valid UUID."
}{
"status": 403,
"message": "Feature 'Project Rate Cards' is not enabled."
}A dated rate card holding the member and role billing rates that apply to a project over a period.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.
A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.
The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.
A project ID (uuid) used to filter rate cards for a specific project.